%global tarName speaklater

Name:           python-%{tarName}
Version:        1.3
Release:        %mkrel 7
Summary:        Implements a lazy string for python useful for use with gettext
Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/speaklater
Source0:        http://pypi.python.org/packages/source/s/%{tarName}/%{tarName}-%{version}.tar.gz
# Submitted upstream at: https://github.com/mitsuhiko/speaklater/pull/8
# Alternative approach at https://github.com/mitsuhiko/speaklater/pull/3
Patch0:         0001-Enable-building-on-python3-along-with-changes-to-doc.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides: python2-speaklater = %{version}-%{release}

%description
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide.

%package -n python3-speaklater
Summary: Implements a lazy string for python3 useful for gettext
Group:   Development/Python

%description -n python3-speaklater
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide.

This package provides the python3 version of the module.

%prep
%setup -qn %{tarName}-%{version}
%autopatch -p1

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
pushd build/lib
%{__python2} -m doctest speaklater.py
popd

pushd %{py3dir}/build/lib
%{__python3} -m doctest speaklater.py
popd

%files
%{python2_sitelib}/speaklater*
%license LICENSE
%doc PKG-INFO README

%files -n python3-speaklater
%{python3_sitelib}/speaklater*
%{python3_sitelib}/__pycache__/*
%license LICENSE
%doc PKG-INFO README




%changelog
* Sat May 28 2016 ngompa <ngompa> 1.3-7.mga6
+ Revision: 1019116
- imported package python-speaklater

